### Method

# Camel StoreSearch set_additional_columns

since: 3.58

#### Declaration [src]

    void
    camel_store_search_set_additional_columns (
      CamelStoreSearch* self,
      const GPtrArray* colnames
    )

#### Description [src]

Sets what additional column names should be pre-read and provided in the `camel_store_search_get_items_sync()` result. An empty array is the same as passing `NULL` for the `colnames`.

Make sure to call `camel_store_search_rebuild_sync()` to have the values read.

Available since: 3.58

#### Parameters

`colnames`

  Type: An array of `utf8`

  Column names, or `NULL` to unset.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.